<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 15:50:04 CEST 2020 -->
<title>StateBasedComponentsPackageImpl</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="StateBasedComponentsPackageImpl";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":9,"i30":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/StateBasedComponentsPackageImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsFactoryImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StatefulHardwareImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html" target="_top">Frames</a></li>
<li><a href="StateBasedComponentsPackageImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents.impl</div>
<h2 title="Class StateBasedComponentsPackageImpl" class="title">Class StateBasedComponentsPackageImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.BasicNotifierImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.BasicEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EModelElementImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.ENamedElementImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EPackageImpl</li>
<li>
<ul class="inheritance">
<li>org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents.impl.StateBasedComponentsPackageImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">StateBasedComponentsPackageImpl</span>
extends org.eclipse.emf.ecore.impl.EPackageImpl
implements <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></pre>
<div class="block"><!-- begin-user-doc -->
 An implementation of the model <b>Package</b>.
 <!-- end-user-doc --></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList&lt;E extends java.lang.Object &amp; org.eclipse.emf.common.notify.Adapter&gt;, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents.StateBasedComponentsPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents.<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></h3>
<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.Literals.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage.Literals</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>org.eclipse.emf.ecore.InternalEObject.EStore</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents.StateBasedComponentsPackage">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents.<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></h3>
<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#eINSTANCE">eINSTANCE</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#eNAME">eNAME</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#eNS_PREFIX">eNS_PREFIX</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#eNS_URI">eNS_URI</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#SIMPLE_STOCHASTIC_BEHAVIOR">SIMPLE_STOCHASTIC_BEHAVIOR</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#SIMPLE_STOCHASTIC_BEHAVIOR__BASE_CLASS">SIMPLE_STOCHASTIC_BEHAVIOR__BASE_CLASS</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#SIMPLE_STOCHASTIC_BEHAVIOR__BASE_CONNECTOR">SIMPLE_STOCHASTIC_BEHAVIOR__BASE_CONNECTOR</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#SIMPLE_STOCHASTIC_BEHAVIOR__BASE_INSTANCE_SPECIFICATION">SIMPLE_STOCHASTIC_BEHAVIOR__BASE_INSTANCE_SPECIFICATION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#SIMPLE_STOCHASTIC_BEHAVIOR__BASE_PROPERTY">SIMPLE_STOCHASTIC_BEHAVIOR__BASE_PROPERTY</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#SIMPLE_STOCHASTIC_BEHAVIOR__FAILURE_MODES_DISTRIBUTION">SIMPLE_STOCHASTIC_BEHAVIOR__FAILURE_MODES_DISTRIBUTION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#SIMPLE_STOCHASTIC_BEHAVIOR__FAILURE_OCCURRENCE">SIMPLE_STOCHASTIC_BEHAVIOR__FAILURE_OCCURRENCE</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#SIMPLE_STOCHASTIC_BEHAVIOR__REPAIR_DELAY">SIMPLE_STOCHASTIC_BEHAVIOR__REPAIR_DELAY</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#SIMPLE_STOCHASTIC_BEHAVIOR_FEATURE_COUNT">SIMPLE_STOCHASTIC_BEHAVIOR_FEATURE_COUNT</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATEFUL_HARDWARE">STATEFUL_HARDWARE</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATEFUL_HARDWARE__BASE_COMPONENT">STATEFUL_HARDWARE__BASE_COMPONENT</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATEFUL_HARDWARE__BASE_INSTANCE_SPECIFICATION">STATEFUL_HARDWARE__BASE_INSTANCE_SPECIFICATION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATEFUL_HARDWARE__BASE_PROPERTY">STATEFUL_HARDWARE__BASE_PROPERTY</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATEFUL_HARDWARE__ERROR_LATENCY">STATEFUL_HARDWARE__ERROR_LATENCY</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATEFUL_HARDWARE__ERROR_MODEL">STATEFUL_HARDWARE__ERROR_MODEL</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATEFUL_HARDWARE__FAULT_OCC">STATEFUL_HARDWARE__FAULT_OCC</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATEFUL_HARDWARE__PROB_PERM_FAULT">STATEFUL_HARDWARE__PROB_PERM_FAULT</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATEFUL_HARDWARE__REPAIR_DELAY">STATEFUL_HARDWARE__REPAIR_DELAY</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATEFUL_HARDWARE_FEATURE_COUNT">STATEFUL_HARDWARE_FEATURE_COUNT</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATEFUL_SOFTWARE">STATEFUL_SOFTWARE</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATEFUL_SOFTWARE__BASE_COMPONENT">STATEFUL_SOFTWARE__BASE_COMPONENT</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATEFUL_SOFTWARE__BASE_INSTANCE_SPECIFICATION">STATEFUL_SOFTWARE__BASE_INSTANCE_SPECIFICATION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATEFUL_SOFTWARE__BASE_PROPERTY">STATEFUL_SOFTWARE__BASE_PROPERTY</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATEFUL_SOFTWARE__ERROR_LATENCY">STATEFUL_SOFTWARE__ERROR_LATENCY</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATEFUL_SOFTWARE__ERROR_MODEL">STATEFUL_SOFTWARE__ERROR_MODEL</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATEFUL_SOFTWARE__FAULT_OCC">STATEFUL_SOFTWARE__FAULT_OCC</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATEFUL_SOFTWARE__REPAIR_DELAY">STATEFUL_SOFTWARE__REPAIR_DELAY</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATEFUL_SOFTWARE_FEATURE_COUNT">STATEFUL_SOFTWARE_FEATURE_COUNT</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATELESS_HARDWARE">STATELESS_HARDWARE</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATELESS_HARDWARE__BASE_COMPONENT">STATELESS_HARDWARE__BASE_COMPONENT</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATELESS_HARDWARE__BASE_INSTANCE_SPECIFICATION">STATELESS_HARDWARE__BASE_INSTANCE_SPECIFICATION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATELESS_HARDWARE__BASE_PROPERTY">STATELESS_HARDWARE__BASE_PROPERTY</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATELESS_HARDWARE__ERROR_MODEL">STATELESS_HARDWARE__ERROR_MODEL</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATELESS_HARDWARE__FAULT_OCC">STATELESS_HARDWARE__FAULT_OCC</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATELESS_HARDWARE__PROB_PERM_FAULT">STATELESS_HARDWARE__PROB_PERM_FAULT</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATELESS_HARDWARE__REPAIR_DELAY">STATELESS_HARDWARE__REPAIR_DELAY</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATELESS_HARDWARE_FEATURE_COUNT">STATELESS_HARDWARE_FEATURE_COUNT</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATELESS_SOFTWARE">STATELESS_SOFTWARE</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATELESS_SOFTWARE__BASE_COMPONENT">STATELESS_SOFTWARE__BASE_COMPONENT</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATELESS_SOFTWARE__BASE_INSTANCE_SPECIFICATION">STATELESS_SOFTWARE__BASE_INSTANCE_SPECIFICATION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATELESS_SOFTWARE__BASE_PROPERTY">STATELESS_SOFTWARE__BASE_PROPERTY</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATELESS_SOFTWARE__ERROR_MODEL">STATELESS_SOFTWARE__ERROR_MODEL</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATELESS_SOFTWARE__FAULT_OCC">STATELESS_SOFTWARE__FAULT_OCC</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STATELESS_SOFTWARE_FEATURE_COUNT">STATELESS_SOFTWARE_FEATURE_COUNT</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STOCHASTIC_FAILURE_BEHAVIOUR">STOCHASTIC_FAILURE_BEHAVIOUR</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STOCHASTIC_FAILURE_BEHAVIOUR__BASE_COMPONENT">STOCHASTIC_FAILURE_BEHAVIOUR__BASE_COMPONENT</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STOCHASTIC_FAILURE_BEHAVIOUR__BASE_INSTANCE_SPECIFICATION">STOCHASTIC_FAILURE_BEHAVIOUR__BASE_INSTANCE_SPECIFICATION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STOCHASTIC_FAILURE_BEHAVIOUR__BASE_PROPERTY">STOCHASTIC_FAILURE_BEHAVIOUR__BASE_PROPERTY</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STOCHASTIC_FAILURE_BEHAVIOUR__ERROR_MODEL">STOCHASTIC_FAILURE_BEHAVIOUR__ERROR_MODEL</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STOCHASTIC_FAILURE_BEHAVIOUR__FAILURE_DISTRIBUTION">STOCHASTIC_FAILURE_BEHAVIOUR__FAILURE_DISTRIBUTION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STOCHASTIC_FAILURE_BEHAVIOUR__MODES">STOCHASTIC_FAILURE_BEHAVIOUR__MODES</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STOCHASTIC_FAILURE_BEHAVIOUR__REPAIR_DISTRIBUTION">STOCHASTIC_FAILURE_BEHAVIOUR__REPAIR_DISTRIBUTION</a>, <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#STOCHASTIC_FAILURE_BEHAVIOUR_FEATURE_COUNT">STOCHASTIC_FAILURE_BEHAVIOUR_FEATURE_COUNT</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder</h3>
<code>NIL</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>EOPPOSITE_FEATURE_BASE</code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#createPackageContents--">createPackageContents</a></span>()</code>
<div class="block">Creates the meta-model objects for the package.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#getSimpleStochasticBehavior_Base_Class--">getSimpleStochasticBehavior_Base_Class</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#getSimpleStochasticBehavior_Base_Connector--">getSimpleStochasticBehavior_Base_Connector</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#getSimpleStochasticBehavior_Base_InstanceSpecification--">getSimpleStochasticBehavior_Base_InstanceSpecification</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#getSimpleStochasticBehavior_Base_Property--">getSimpleStochasticBehavior_Base_Property</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#getSimpleStochasticBehavior_FailureModesDistribution--">getSimpleStochasticBehavior_FailureModesDistribution</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#getSimpleStochasticBehavior_FailureOccurrence--">getSimpleStochasticBehavior_FailureOccurrence</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#getSimpleStochasticBehavior_RepairDelay--">getSimpleStochasticBehavior_RepairDelay</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#getSimpleStochasticBehavior--">getSimpleStochasticBehavior</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#getStateBasedComponentsFactory--">getStateBasedComponentsFactory</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#getStatefulHardware_ErrorLatency--">getStatefulHardware_ErrorLatency</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#getStatefulHardware_FaultOcc--">getStatefulHardware_FaultOcc</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#getStatefulHardware_ProbPermFault--">getStatefulHardware_ProbPermFault</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#getStatefulHardware_RepairDelay--">getStatefulHardware_RepairDelay</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#getStatefulHardware--">getStatefulHardware</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#getStatefulSoftware_ErrorLatency--">getStatefulSoftware_ErrorLatency</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#getStatefulSoftware_FaultOcc--">getStatefulSoftware_FaultOcc</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#getStatefulSoftware_RepairDelay--">getStatefulSoftware_RepairDelay</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#getStatefulSoftware--">getStatefulSoftware</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#getStatelessHardware_FaultOcc--">getStatelessHardware_FaultOcc</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#getStatelessHardware_ProbPermFault--">getStatelessHardware_ProbPermFault</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#getStatelessHardware_RepairDelay--">getStatelessHardware_RepairDelay</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#getStatelessHardware--">getStatelessHardware</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#getStatelessSoftware_FaultOcc--">getStatelessSoftware_FaultOcc</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#getStatelessSoftware--">getStatelessSoftware</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#getStochasticFailureBehaviour_FailureDistribution--">getStochasticFailureBehaviour_FailureDistribution</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#getStochasticFailureBehaviour_Modes--">getStochasticFailureBehaviour_Modes</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#getStochasticFailureBehaviour_RepairDistribution--">getStochasticFailureBehaviour_RepairDistribution</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#getStochasticFailureBehaviour--">getStochasticFailureBehaviour</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#init--">init</a></span>()</code>
<div class="block">Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#initializePackageContents--">initializePackageContents</a></span>()</code>
<div class="block">Complete the initialization of the package and its meta-model.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EPackageImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EPackageImpl</h3>
<code>basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.ENamedElementImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.ENamedElementImpl</h3>
<code>eContents, eCrossReferences, getName, getNameGen, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EModelElementImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EModelElementImpl</h3>
<code>eURIFragmentSegment, getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container</h3>
<code>eInternalContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.MinimalEObjectImpl</h3>
<code>dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>eNotificationRequired, eNotify</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.ENamedElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.ENamedElement</h3>
<code>getName, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>eNotificationRequired</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="init--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>init</h4>
<pre>public static&nbsp;<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a>&nbsp;init()</pre>
<div class="block">Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
 
 <p>This method is used to initialize <a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#eINSTANCE"><code>StateBasedComponentsPackage.eINSTANCE</code></a> when that field is accessed.
 Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#eNS_URI"><code>StateBasedComponentsPackage.eNS_URI</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#createPackageContents--"><code>createPackageContents()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html#initializePackageContents--"><code>initializePackageContents()</code></a></dd>
</dl>
</li>
</ul>
<a name="getStatefulHardware--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatefulHardware</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getStatefulHardware()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStatefulHardware--">getStatefulHardware</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Stateful Hardware</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatefulHardware.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents"><code>StatefulHardware</code></a></dd>
</dl>
</li>
</ul>
<a name="getStatefulHardware_ProbPermFault--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatefulHardware_ProbPermFault</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getStatefulHardware_ProbPermFault()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStatefulHardware_ProbPermFault--">getStatefulHardware_ProbPermFault</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Prob Perm Fault</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatefulHardware.html#getProbPermFault--"><code>StatefulHardware.getProbPermFault()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStatefulHardware--"><code>StateBasedComponentsPackage.getStatefulHardware()</code></a></dd>
</dl>
</li>
</ul>
<a name="getStatefulHardware_ErrorLatency--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatefulHardware_ErrorLatency</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getStatefulHardware_ErrorLatency()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStatefulHardware_ErrorLatency--">getStatefulHardware_ErrorLatency</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Error Latency</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatefulHardware.html#getErrorLatency--"><code>StatefulHardware.getErrorLatency()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStatefulHardware--"><code>StateBasedComponentsPackage.getStatefulHardware()</code></a></dd>
</dl>
</li>
</ul>
<a name="getStatefulHardware_RepairDelay--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatefulHardware_RepairDelay</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getStatefulHardware_RepairDelay()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStatefulHardware_RepairDelay--">getStatefulHardware_RepairDelay</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Repair Delay</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatefulHardware.html#getRepairDelay--"><code>StatefulHardware.getRepairDelay()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStatefulHardware--"><code>StateBasedComponentsPackage.getStatefulHardware()</code></a></dd>
</dl>
</li>
</ul>
<a name="getStatefulHardware_FaultOcc--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatefulHardware_FaultOcc</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getStatefulHardware_FaultOcc()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStatefulHardware_FaultOcc--">getStatefulHardware_FaultOcc</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Fault Occ</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatefulHardware.html#getFaultOcc--"><code>StatefulHardware.getFaultOcc()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStatefulHardware--"><code>StateBasedComponentsPackage.getStatefulHardware()</code></a></dd>
</dl>
</li>
</ul>
<a name="getStatefulSoftware--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatefulSoftware</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getStatefulSoftware()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStatefulSoftware--">getStatefulSoftware</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Stateful Software</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatefulSoftware.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents"><code>StatefulSoftware</code></a></dd>
</dl>
</li>
</ul>
<a name="getStatefulSoftware_ErrorLatency--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatefulSoftware_ErrorLatency</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getStatefulSoftware_ErrorLatency()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStatefulSoftware_ErrorLatency--">getStatefulSoftware_ErrorLatency</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Error Latency</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatefulSoftware.html#getErrorLatency--"><code>StatefulSoftware.getErrorLatency()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStatefulSoftware--"><code>StateBasedComponentsPackage.getStatefulSoftware()</code></a></dd>
</dl>
</li>
</ul>
<a name="getStatefulSoftware_RepairDelay--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatefulSoftware_RepairDelay</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getStatefulSoftware_RepairDelay()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStatefulSoftware_RepairDelay--">getStatefulSoftware_RepairDelay</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Repair Delay</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatefulSoftware.html#getRepairDelay--"><code>StatefulSoftware.getRepairDelay()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStatefulSoftware--"><code>StateBasedComponentsPackage.getStatefulSoftware()</code></a></dd>
</dl>
</li>
</ul>
<a name="getStatefulSoftware_FaultOcc--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatefulSoftware_FaultOcc</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getStatefulSoftware_FaultOcc()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStatefulSoftware_FaultOcc--">getStatefulSoftware_FaultOcc</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Fault Occ</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatefulSoftware.html#getFaultOcc--"><code>StatefulSoftware.getFaultOcc()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStatefulSoftware--"><code>StateBasedComponentsPackage.getStatefulSoftware()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSimpleStochasticBehavior--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSimpleStochasticBehavior</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getSimpleStochasticBehavior()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getSimpleStochasticBehavior--">getSimpleStochasticBehavior</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Simple Stochastic Behavior</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents"><code>SimpleStochasticBehavior</code></a></dd>
</dl>
</li>
</ul>
<a name="getSimpleStochasticBehavior_Base_Class--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSimpleStochasticBehavior_Base_Class</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getSimpleStochasticBehavior_Base_Class()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getSimpleStochasticBehavior_Base_Class--">getSimpleStochasticBehavior_Base_Class</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Class</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getBase_Class--"><code>SimpleStochasticBehavior.getBase_Class()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getSimpleStochasticBehavior--"><code>StateBasedComponentsPackage.getSimpleStochasticBehavior()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSimpleStochasticBehavior_Base_Connector--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSimpleStochasticBehavior_Base_Connector</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getSimpleStochasticBehavior_Base_Connector()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getSimpleStochasticBehavior_Base_Connector--">getSimpleStochasticBehavior_Base_Connector</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Connector</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getBase_Connector--"><code>SimpleStochasticBehavior.getBase_Connector()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getSimpleStochasticBehavior--"><code>StateBasedComponentsPackage.getSimpleStochasticBehavior()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSimpleStochasticBehavior_Base_InstanceSpecification--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSimpleStochasticBehavior_Base_InstanceSpecification</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getSimpleStochasticBehavior_Base_InstanceSpecification()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getSimpleStochasticBehavior_Base_InstanceSpecification--">getSimpleStochasticBehavior_Base_InstanceSpecification</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Instance Specification</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getBase_InstanceSpecification--"><code>SimpleStochasticBehavior.getBase_InstanceSpecification()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getSimpleStochasticBehavior--"><code>StateBasedComponentsPackage.getSimpleStochasticBehavior()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSimpleStochasticBehavior_FailureOccurrence--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSimpleStochasticBehavior_FailureOccurrence</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getSimpleStochasticBehavior_FailureOccurrence()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getSimpleStochasticBehavior_FailureOccurrence--">getSimpleStochasticBehavior_FailureOccurrence</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Failure Occurrence</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getFailureOccurrence--"><code>SimpleStochasticBehavior.getFailureOccurrence()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getSimpleStochasticBehavior--"><code>StateBasedComponentsPackage.getSimpleStochasticBehavior()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSimpleStochasticBehavior_RepairDelay--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSimpleStochasticBehavior_RepairDelay</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getSimpleStochasticBehavior_RepairDelay()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getSimpleStochasticBehavior_RepairDelay--">getSimpleStochasticBehavior_RepairDelay</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Repair Delay</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getRepairDelay--"><code>SimpleStochasticBehavior.getRepairDelay()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getSimpleStochasticBehavior--"><code>StateBasedComponentsPackage.getSimpleStochasticBehavior()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSimpleStochasticBehavior_FailureModesDistribution--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSimpleStochasticBehavior_FailureModesDistribution</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getSimpleStochasticBehavior_FailureModesDistribution()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getSimpleStochasticBehavior_FailureModesDistribution--">getSimpleStochasticBehavior_FailureModesDistribution</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Failure Modes Distribution</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getFailureModesDistribution--"><code>SimpleStochasticBehavior.getFailureModesDistribution()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getSimpleStochasticBehavior--"><code>StateBasedComponentsPackage.getSimpleStochasticBehavior()</code></a></dd>
</dl>
</li>
</ul>
<a name="getSimpleStochasticBehavior_Base_Property--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSimpleStochasticBehavior_Base_Property</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EReference&nbsp;getSimpleStochasticBehavior_Base_Property()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getSimpleStochasticBehavior_Base_Property--">getSimpleStochasticBehavior_Base_Property</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Property</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/SimpleStochasticBehavior.html#getBase_Property--"><code>SimpleStochasticBehavior.getBase_Property()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getSimpleStochasticBehavior--"><code>StateBasedComponentsPackage.getSimpleStochasticBehavior()</code></a></dd>
</dl>
</li>
</ul>
<a name="getStatelessHardware--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatelessHardware</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getStatelessHardware()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStatelessHardware--">getStatelessHardware</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Stateless Hardware</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessHardware.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents"><code>StatelessHardware</code></a></dd>
</dl>
</li>
</ul>
<a name="getStatelessHardware_ProbPermFault--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatelessHardware_ProbPermFault</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getStatelessHardware_ProbPermFault()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStatelessHardware_ProbPermFault--">getStatelessHardware_ProbPermFault</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Prob Perm Fault</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessHardware.html#getProbPermFault--"><code>StatelessHardware.getProbPermFault()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStatelessHardware--"><code>StateBasedComponentsPackage.getStatelessHardware()</code></a></dd>
</dl>
</li>
</ul>
<a name="getStatelessHardware_RepairDelay--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatelessHardware_RepairDelay</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getStatelessHardware_RepairDelay()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStatelessHardware_RepairDelay--">getStatelessHardware_RepairDelay</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Repair Delay</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessHardware.html#getRepairDelay--"><code>StatelessHardware.getRepairDelay()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStatelessHardware--"><code>StateBasedComponentsPackage.getStatelessHardware()</code></a></dd>
</dl>
</li>
</ul>
<a name="getStatelessHardware_FaultOcc--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatelessHardware_FaultOcc</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getStatelessHardware_FaultOcc()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStatelessHardware_FaultOcc--">getStatelessHardware_FaultOcc</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Fault Occ</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessHardware.html#getFaultOcc--"><code>StatelessHardware.getFaultOcc()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStatelessHardware--"><code>StateBasedComponentsPackage.getStatelessHardware()</code></a></dd>
</dl>
</li>
</ul>
<a name="getStatelessSoftware--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatelessSoftware</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getStatelessSoftware()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStatelessSoftware--">getStatelessSoftware</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Stateless Software</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessSoftware.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents"><code>StatelessSoftware</code></a></dd>
</dl>
</li>
</ul>
<a name="getStatelessSoftware_FaultOcc--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStatelessSoftware_FaultOcc</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getStatelessSoftware_FaultOcc()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStatelessSoftware_FaultOcc--">getStatelessSoftware_FaultOcc</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Fault Occ</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StatelessSoftware.html#getFaultOcc--"><code>StatelessSoftware.getFaultOcc()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStatelessSoftware--"><code>StateBasedComponentsPackage.getStatelessSoftware()</code></a></dd>
</dl>
</li>
</ul>
<a name="getStochasticFailureBehaviour--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStochasticFailureBehaviour</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EClass&nbsp;getStochasticFailureBehaviour()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStochasticFailureBehaviour--">getStochasticFailureBehaviour</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Stochastic Failure Behaviour</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StochasticFailureBehaviour.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents"><code>StochasticFailureBehaviour</code></a></dd>
</dl>
</li>
</ul>
<a name="getStochasticFailureBehaviour_FailureDistribution--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStochasticFailureBehaviour_FailureDistribution</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getStochasticFailureBehaviour_FailureDistribution()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStochasticFailureBehaviour_FailureDistribution--">getStochasticFailureBehaviour_FailureDistribution</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Failure Distribution</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StochasticFailureBehaviour.html#getFailureDistribution--"><code>StochasticFailureBehaviour.getFailureDistribution()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStochasticFailureBehaviour--"><code>StateBasedComponentsPackage.getStochasticFailureBehaviour()</code></a></dd>
</dl>
</li>
</ul>
<a name="getStochasticFailureBehaviour_RepairDistribution--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStochasticFailureBehaviour_RepairDistribution</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getStochasticFailureBehaviour_RepairDistribution()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStochasticFailureBehaviour_RepairDistribution--">getStochasticFailureBehaviour_RepairDistribution</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Repair Distribution</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StochasticFailureBehaviour.html#getRepairDistribution--"><code>StochasticFailureBehaviour.getRepairDistribution()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStochasticFailureBehaviour--"><code>StateBasedComponentsPackage.getStochasticFailureBehaviour()</code></a></dd>
</dl>
</li>
</ul>
<a name="getStochasticFailureBehaviour_Modes--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStochasticFailureBehaviour_Modes</h4>
<pre>public&nbsp;org.eclipse.emf.ecore.EAttribute&nbsp;getStochasticFailureBehaviour_Modes()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStochasticFailureBehaviour_Modes--">getStochasticFailureBehaviour_Modes</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Modes</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StochasticFailureBehaviour.html#getModes--"><code>StochasticFailureBehaviour.getModes()</code></a>, 
<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStochasticFailureBehaviour--"><code>StateBasedComponentsPackage.getStochasticFailureBehaviour()</code></a></dd>
</dl>
</li>
</ul>
<a name="getStateBasedComponentsFactory--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStateBasedComponentsFactory</h4>
<pre>public&nbsp;<a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsFactory</a>&nbsp;getStateBasedComponentsFactory()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html#getStateBasedComponentsFactory--">getStateBasedComponentsFactory</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/StateBasedComponentsPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents">StateBasedComponentsPackage</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the factory that creates the instances of the model.</dd>
</dl>
</li>
</ul>
<a name="createPackageContents--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createPackageContents</h4>
<pre>public&nbsp;void&nbsp;createPackageContents()</pre>
<div class="block">Creates the meta-model objects for the package.  This method is
 guarded to have no affect on any invocation but its first.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="initializePackageContents--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>initializePackageContents</h4>
<pre>public&nbsp;void&nbsp;initializePackageContents()</pre>
<div class="block">Complete the initialization of the package and its meta-model.  This
 method is guarded to have no affect on any invocation but its first.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/StateBasedComponentsPackageImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsFactoryImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StatefulHardwareImpl.html" title="class in org.polarsys.chess.chessmlprofile.Dependability.StateBased.StateBasedComponents.impl"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/polarsys/chess/chessmlprofile/Dependability/StateBased/StateBasedComponents/impl/StateBasedComponentsPackageImpl.html" target="_top">Frames</a></li>
<li><a href="StateBasedComponentsPackageImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
